## ide-diagnostician ide-diagnostician |

## Functions

GtkSourceLanguage * | ide_diagnostician_get_language ()
void | ide_diagnostician_set_language ()
void | ide_diagnostician_diagnose_async ()
IdeDiagnostics * | ide_diagnostician_diagnose_finish ()

## Types and Values

#define | IDE_TYPE_DIAGNOSTICIAN
| IdeDiagnostician

## Description

## Functions

### ide_diagnostician_get_language ()

    GtkSourceLanguage *
    ide_diagnostician_get_language (IdeDiagnostician *self);

Gets the “language” property.

#### Returns

A GtkSourceLanguage.

[transfer none]

### ide_diagnostician_set_language ()

    void
    ide_diagnostician_set_language (IdeDiagnostician *self,
                                    GtkSourceLanguage *language);

### ide_diagnostician_diagnose_async ()

    void
    ide_diagnostician_diagnose_async (IdeDiagnostician *diagnostician,
                                      IdeFile *file,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

### ide_diagnostician_diagnose_finish ()

    IdeDiagnostics *
    ide_diagnostician_diagnose_finish (IdeDiagnostician *diagnostician,
                                       GAsyncResult *result,
                                       GError **error);

## Types and Values

### IDE_TYPE_DIAGNOSTICIAN

    #define IDE_TYPE_DIAGNOSTICIAN (ide_diagnostician_get_type())

### IdeDiagnostician

    typedef struct _IdeDiagnostician IdeDiagnostician;